package base

import (
	"git.fsdpf.net/go/contracts/res_type"
)

type ResListener struct {
	Uuid         string                  `db:"uuid"`
	Code         string                  `db:"code"`
	Name         string                  `db:"name"`
	ResourceUuid string                  `db:"resource_uuid"`
	Event        res_type.ResFieldByAnys `db:"event"`
	UpdatedAt    string                  `db:"updated_at"`
	CreatedAt    string                  `db:"created_at"`
}

type GetResListens func(categoryUuid string, event ...string) []ResListener
